প্যাকেট স্নিফিং প্রয়োজনীয়তা

GitHub-এ উৎস দেখুন

Pyspinel ব্যবহার করতে, আপনাকে নিম্নলিখিত হার্ডওয়্যার এবং সফ্টওয়্যার প্রয়োজনীয়তাগুলি পূরণ করতে হবে৷

হার্ডওয়্যার

  • একটি NCP হিসাবে পরিবেশন করার জন্য এবং Pyspinel এবং Wireshark চালানোর জন্য একটি হোস্ট মেশিন:

    • macOS — 64 বিট OS X 10.6 বা তার পরের
    • লিনাক্স
    • উইন্ডোজ - 10 বা তার পরে
  • 1 OpenThread ডিভাইস একটি ot-ncp-ftd বা ot-rcp বিল্ডের সাথে ফ্ল্যাশ করেছে।

    • একটি ot-ncp-ftd বিল্ডের জন্য, LINK_RAW=1 বিল্ড সুইচ ব্যবহার করতে হবে।

সফটওয়্যার:

  • Pyspinel চালানোর জন্য Python 3
  • ওয়্যারশার্ক

    • থ্রেড প্রোটোকল সমর্থনের জন্য 2.4.1 বা নতুন
    • extcap সমর্থনের জন্য 3.0.6 বা নতুন। Pyspinel-এর সাথে Wireshark extcap প্লাগইন ব্যবহার করার বিষয়ে আরও তথ্যের জন্য, Pyspinel ইনস্টল করুন দেখুন